const gulp = require('gulp');
const babel = require('gulp-babel');
const eslint = require('gulp-eslint');

/**
 * Compile source files
 */
function compile() {
    // run ESLint
    gulp.src('src/**/*.js')
        .pipe(eslint())
        .pipe(eslint.format());

    // compile source to ES5
    gulp.src('src/**/*.js')
        .pipe(babel())
        .pipe(gulp.dest('build'));

    // copy configuration file to build directory
    gulp.src('config.json')
        .pipe(gulp.dest('build'));

}

gulp.task('build', compile);

gulp.task('run', ['build'], () => {
});

gulp.task('watch', [], () => {
    compile();
});

gulp.task('test', ['build'], () => {
});

gulp.task('default', ['watch']);
